### Method

# FwupdPlugin TemporaryDirectory get_path

since: 2.1.1

#### Declaration [src]

    const gchar*
    fu_temporary_directory_get_path (
      FuTemporaryDirectory* self
    )

#### Description [src]

Gets the path of the temporary directory.

Available since: 2.1.1

#### Return value

Type: `const gchar*`

Data.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.